Skip to main content
GET
/
contracts
/
schedules
List Contract Schedules
curl --request GET \
  --url https://v1.api.flux-os.com/contracts/schedules \
  --header 'x-api-key: <api-key>' \
  --header 'x-user-id: <api-key>'
{
  "data": [
    {
      "production_month": "2023-12-25",
      "volume": 123,
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "estimated_qualities": [
        {
          "value": 123,
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "chains": [
        {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "legs": [
            {
              "position": 123,
              "chain": "<unknown>",
              "volume": 123,
              "id": "<string>",
              "source_well": {
                "id": "<string>",
                "name": null
              },
              "is_custody_transfer": false,
              "is_chain_source": false,
              "is_chain_destination": false,
              "fob": false,
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ]
    }
  ],
  "meta": {
    "current_page": 123,
    "total_pages": 123,
    "total_items": 123,
    "per_page": 123
  }
}

Authorizations

x-api-key
string
header
required
x-user-id
string
header
required

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
production_month
string<date>

Production month in format YYYY-MM-DD

status
integer

Schedule Status

party_user_id
integer

Party User ID

contract_external_id
string

Contract External ID

sort_by
enum<string>

Field to sort by

Available options:
id,
production_month,
status,
created_at,
updated_at
sort_order
enum<string>
default:asc

Sort direction (asc or desc)

Available options:
asc,
desc

Response

A paginated list of schedules.

data
object[]
meta
object